imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }
    - { resource: '@D2CoreBundle/Resources/config/services.yml' }
    - { resource: '@D2UserBundle/Resources/config/services.yml' }
    - { resource: '@D2BillingBundle/Resources/config/services.yml' }
    - { resource: '@D2CustomerBundle/Resources/config/services.yml' }
    - { resource: '@D2CustomerBusinessBundle/Resources/config/services.yml' }
    - { resource: '@D2ContentBundle/Resources/config/services.yml' }
    - { resource: '@D2CaseStudiesBundle/Resources/config/services.yml' }
    - { resource: "@D2ExpertBundle/Resources/config/services.yml" }
    - { resource: "@D2ChatBundle/Resources/config/services.yml" }
    - { resource: "@D2ResourceBundle/Resources/config/services.yml" }
    - { resource: "@D2CommentBundle/Resources/config/services.yml" }
    - { resource: "@D2CollectionBundle/Resources/config/services.yml" }
    - { resource: "@D2NewsBundle/Resources/config/services.yml" }
    - { resource: "@D2AdvertBundle/Resources/config/services.yml" }
    - { resource: "@D2EngenBundle/Resources/config/services.yml" }
    - { resource: "@D2ShopBundle/Resources/config/services.yml" }

# Put parameters here that don't need to change on each machine where the app is deployed
# http://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: en
    # base site path
    site_base_url: %site_base%

    # Registration
    country_override: true        								# override country filter for allow registration
    # System Email
    email_system_admin: admin@engenbbqdowns.co.za        	    # general system administrator
    email_system_web_master: engenbbqdowns@appforge.co.za      # webmaster
    email_system_sales: accounts@engenbbqdowns.co.za        	# sales administrator

    # where to fetch uploaded FTP files
    sys_ftp_upload_path: %system_ftp_upload_path%

    # Billing Setup
    company_name: %orginization%
    company_vat_registered: %orginization_vat_registered%
    company_vat_number: %orginization_vat_number%
    company_telephone: %orginization_telephone%
    company_email: %orginization_email%
    company_website: %orginization_website%
    company_addr_1: %orginization_addr_1%
    company_addr_2: %orginization_addr_2%
    company_addr_3: %orginization_addr_3%
    company_addr_4: %orginization_addr_4%
    
    company_bank: %orginization_bank%
    company_account: %orginization_account%
    company_branch: %orginization_branch%

    invoice_note: %orginization_invoice_note%

    sys_orginization: %orginization% 
    sys_orginization_long: %orginization_long% 

    sys_header_background_logo: %header_background_logo% 
    sys_header_background_logo_height: %header_background_logo_height% 
    sys_header_fix_position: %header_fix_position% 

    sys_navbar_mode: %navbar_display_mode% 
    sys_navbar_show_home: %navbar_show_home_page% 
    sys_navbar_show_contact: %navbar_show_contact_page% 

    sys_top_menu_show_home: %top_menu_show_home_page% 
    sys_top_menu_show_contact: %top_menu_show_contact_page% 

    sys_site_font: %system_site_font% 
    sys_site_font_size: %system_site_font_size% 

    sys_top_menu_font: %top_menu_font% 
    sys_top_menu_font_size: %top_menu_font_size% 
    sys_top_menu_color: %top_menu_color% 

    sys_main_menu_font: %main_menu_font% 
    sys_main_menu_font_size: %main_menu_font_size% 
    sys_main_menu_color: %main_menu_color% 
    sys_main_menu_hover_color: %main_menu_hover_color% 
    sys_main_menu_dropdown_color: %main_menu_dropdown_color% 
    sys_main_menu_dropdown_hover_color: %main_menu_dropdown_hover_color% 
    sys_main_menu_dropdown_background: %main_menu_dropdown_background%

    sys_text_banner_font: %system_text_banner_font% 
    sys_text_banner_font_size: %system_text_banner_font_size% 
    sys_text_banner_title_font: %system_text_banner_title_font% 
    sys_text_banner_title_font_size: %system_text_banner_title_font_size% 
    sys_text_banner_sub_font: %system_text_banner_sub_font% 
    sys_text_banner_sub_font_size: %system_text_banner_sub_font_size% 
    sys_text_banner_color: %system_text_banner_color% 
    sys_text_show_desc: %system_text_show_desc%
    sys_related_show_desc: %system_related_show_desc%

    sys_about_active: %navbar_about_active% 
    sys_case_study_active: %navbar_case_study_active% 
    sys_collection_active: %navbar_collection_active% 
    sys_resource_active: %navbar_resource_active% 
    sys_expert_active: %navbar_expert_active% 
    sys_news_active: %navbar_news_active% 
    sys_smalls_active: %navbar_smalls_active%
    sys_home_page_active: %navbar_home_page_active%

    sys_register_active: %navbar_allow_register% 
    sys_contribute_active: %navbar_allow_contribute% 
    sys_contributor_show: %system_show_contributor% 
    sys_comments_show: %system_show_comments% 
    sys_related_show: %system_show_related% 
    sys_related_divide: %system_divide_related% 
    sys_show_social: %system_show_social% 
    sys_show_social_links: %system_show_social_links% 
    sys_show_rss_feed: %system_show_rss_feed% 

    sys_email_logo_height: %system_email_logo_height%

    # these cannot be set by admin user in system settings page
    sys_accounting_active: %system_accounting_active% 
    sys_shop_active: %system_shop_active% 
    sys_engen_active: %system_engen_active% 
    sys_resident_assoc_active: %system_resident_assoc_active% 
    sys_allow_grideditor: %system_allow_grideditor%
    
    sys_google_analytics_enabled: %system_google_analytics_enabled%
    sys_google_analytics_tracking_id: %system_google_analytics_tracking_id%
    
framework:
    #esi:             ~
    translator:      { fallbacks: ["%locale%"] }
    secret:          "%secret%"
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enable_annotations: true }
    #serializer:      { enable_annotations: true }
    templating:
        engines: ['twig']
    default_locale:  "%locale%"
    trusted_hosts:   ~
    trusted_proxies: ~
    session:
        cookie_lifetime: 7200
        gc_maxlifetime: 3600
    fragments:       ~
    http_method_override: true

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"
    globals:
        site_base_url: %site_base%
 
        sys_accounting_active: %system_accounting_active% 
        sys_engen_active: %system_engen_active% 
        sys_resident_assoc_active: %system_resident_assoc_active% 
        sys_allow_grideditor: %system_allow_grideditor% 
    
# Assetic Configuration
assetic:
    debug:          %kernel.debug%
    use_controller: false
    #bundles:        [ ]
    #java: /usr/bin/java
    filters:
       less:
           node: /usr/bin/node
           node_paths: [/usr/lib/node_modules]
           apply_to: "\.less$"
       cssrewrite: ~
        #closure:
        #    jar: %kernel.root_dir%/Resources/java/compiler.jar
        #yui_css:
        #    jar: %kernel.root_dir%/Resources/java/yuicompressor-2.4.7.jar

# Doctrine Configuration
doctrine:
    dbal:
        driver:   pdo_mysql
        host:     "%database_host%"
        port:     "%database_port%"
        dbname:   "%database_name%"
        user:     "%database_user%"
        password: "%database_password%"
        charset:  UTF8
        mapping_types:
           enum: string        # if using pdo_sqlite as your database driver:
        #   1. add the path in parameters.yml
        #     e.g. database_path: "%kernel.root_dir%/data/data.db3"
        #   2. Uncomment database_path in parameters.yml.dist
        #   3. Uncomment next line:
        #     path:     "%database_path%"

    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        entity_managers:
            default:
                hydrators:
                    FlatArrayHydrator: D2\CoreBundle\DependencyInjection\Doctrine\CustomHydrators\FlatArrayHydrator
                naming_strategy: doctrine.orm.naming_strategy.underscore
                auto_mapping: true
                dql:
                    string_functions:
                        lpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\LPad
                        rpad: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\RPad
                        group_concat: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\GroupConcat
                        SOUNDEX: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Soundex
                        week: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Week
                        year: D2\CoreBundle\DependencyInjection\Doctrine\CustomDQLFunctions\Year

# Swiftmailer Configuration
swiftmailer:
    # must remove line below in production env
#    delivery_address: %mailer_debug_addr%
    transport:    %mailer_transport%
    host:         %mailer_host%
    port :        %mailer_port%
    username:     %mailer_user%
    password:     %mailer_password%
    auth_mode:    %mailer_auth_mode%
    encryption:   %mailer_encryption%
#    logging:      true
    spool:        { type: memory }

# FosUserBundle
fos_user:
    db_driver: orm 
    firewall_name: main
    user_class: D2\UserBundle\Entity\User
    registration:
        form:
            type: d2_user_registration
        confirmation:
            from_email:
                address:        %mailer_user%
                sender_name:    %orginization%
            enabled: false
    profile:
        form:
            type: d2_user_profile
    change_password:
        form:
            type: fos_user_change_password
    from_email:
        address:        %mailer_user%
        sender_name:    %orginization%
    resetting:
        email:
            from_email:
                address:        %mailer_user%
                sender_name:    %orginization%

fos_message:
    db_driver: orm
    thread_class: D2\ChatBundle\Entity\Thread
    message_class: D2\ChatBundle\Entity\Message
    new_thread_form:
      type:               FOS\MessageBundle\FormType\NewThreadMultipleMessageFormType
      handler:            fos_message.new_thread_multiple_form.handler
      model:              FOS\MessageBundle\FormModel\NewThreadMultipleMessage
      name:               message
      
# KnpMenuBundle    
knp_menu:
    # use "twig: false" to disable the Twig extension and the TwigRenderer
    twig:
        template: KnpMenuBundle::menu.html.twig
    #  if true, enables the helper for PHP templates
    templating: false
    # the renderer to use, list is also available by default
    default_renderer: twig

knp_paginator:
    template:
        pagination: paginator-bootstrap.html.twig
    
knp_snappy:
    pdf:
        enabled:    true
        binary:     %knp_snappy.wkhtmltopdf%
        options:    []
    image:
        enabled:    true
        binary:     %knp_snappy.wkhtmltoimage%
        options:    []

mopa_bootstrap:
    menu: ~  # enables twig helpers for menu
    form:
        show_legend: false              # default is true
        show_child_legend: false        # default is false
        error_type: 'block'             # default is null
        render_optional_text: false
    

mobile_detect:
    redirect:
        mobile: ~
        tablet: ~
    switch_device_view: ~
    
eko_feed:
    feeds:
        news:
            title:       '%orginization% NEWS'
            description: 'Latests articles'
            link:        '%orginization_website%feed/rss'
            encoding:    'utf-8'
            author:      '%orginization% Admin' # Only required for Atom feeds    

stfalcon_tinymce:
    include_jquery: true
    tinymce_jquery: true
    selector: ".tinymce"
    language: %locale%
    theme:
        simple:
            content_css: "%site_base%css/bab9907.css,%site_base%bundles/d2core/css/bs_main_admin.css,%site_base%bundles/d2core/css/olay.css"
            document_base_url: "%site_base%"
            relative_urls: false
            menubar: false
            plugins:
                - "advlist code autolink lists link image charmap print preview hr anchor pagebreak"
                - "searchreplace wordcount visualblocks visualchars code fullscreen"
                - "insertdatetime media nonbreaking save table contextmenu directionality"
                - "template paste textcolor"
            toolbar1: "undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | preview"
            toolbar2: "bullist outdent indent | sizeselect fontselect fontsizeselect forecolor backcolor| image | code"
            font_formats: "Aleo=Aleo;Andale Mono=andale mono,times;Arial=arial,helvetica,sans-serif;Arial Black=arial black,avant garde;Book Antiqua=book antiqua,palatino;Comic Sans MS=comic sans ms,sans-serif;Courier New=courier new,courier;Georgia=georgia,palatino;Helvetica=helvetica;Impact=impact,chicago;Symbol=symbol;Tahoma=tahoma,arial,helvetica,sans-serif;Terminal=terminal,monaco;Times New Roman=times new roman,times;Trebuchet MS=trebuchet ms,geneva;Univers=Univers,helvetica,sans-serif;Verdana=verdana,geneva;Webdings=webdings;Wingdings=wingdings,zapf dingbats"
            fontsize_formats: "8pt 10pt 12pt 14pt 18pt 24pt 36pt"
            
